> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/powershell-commands/backup-dpsconfigurationfiles.md).

# Backup-DPSConfigurationFiles

### Synopsis

Back up Devolutions Server configuration files to a specified folder.

### Syntax

#### \_\_AllParameterSets

```
Backup-DPSConfigurationFiles [-ApplicationPath] <string> [-BackupConfigurationPath] <string>
 [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Description

Back up Devolutions Server configuration files to a specified folder. This cmdlet backs up the encryption configuration file, `web.config`, and `appsettings.json` files. Existing files in the backup destination will be overwritten. This cmdlet requires file system write permissions to the backup destination and read permissions to the Devolutions Server installation path.

### Examples

#### Example 1

**Define paths for Devolutions Server instance and backup locations**

```powershell
PS C:\> $DVLSPath = '/home/myuser/dvls/'
PS C:\> $backupConfigurationFiles = '/home/myuser/dvlsBackup/dvlsConfig/'
PS C:\> $backupInstallationFiles = '/home/myuser/dvlsBackup/dvlsFiles/'
PS C:\> $downloadPath = '/home/myuser/dvlsLatest.tar.gz'
```

**Step 1: Back up current configuration and installation files**

```powershell
PS C:\> Backup-DPSConfigurationFiles -ApplicationPath $DVLSPath -BackupConfigurationPath $backupConfigurationFiles
PS C:\> Remove-Item -Path "$backupInstallationFiles/*" -Recurse -Force
PS C:\> Backup-DPSInstallationFiles -ApplicationPath $DVLSPath -BackupPath $backupInstallationFiles
PS C:\> $connectionString = (Get-DPSAppSettings -ApplicationPath $backupConfigurationFiles).ConnectionStrings.LocalSqlServer
```

**Step 2: Download and extract new Devolutions Server version**

```powershell
PS C:\> Get-DPSProduct -Name DPSLinuxX64bin -Destination $downloadPath
PS C:\> tar -xzf $downloadPath -C $DVLSPath --strip-components=1
```

**Step 3: Update the database**

```powershell
PS C:\> Update-DPSDatabase -ConnectionString $connectionString -InstallationPath $DVLSPath
```

**Step 4: Restore custom files and configuration**

```powershell
PS C:\> Restore-DPSCustomFolders -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSAnomalyDetectionFolder -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSConfigurationFiles -BackupConfigurationPath $backupConfigurationFiles -ApplicationPath $DVLSPath
```

Workflow to update a Devolutions Server instance.

### Parameters

#### -ApplicationPath

Devolutions Server instance path

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -BackupConfigurationPath

Backup folder path

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Prompts you for confirmation before running the cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Shows what would happen if the cmdlet runs. The cmdlet is not run.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

For more information, type "Get-Help Backup-DPSConfigurationFiles -detailed". For technical information, type "Get-Help Backup-DPSConfigurationFiles -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/powershell-commands/backup-dpsconfigurationfiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
